<?php
/**
 * @name		Maximenu CK Hikashop
 * @package		com_maximenuckhikashop
 * @copyright	Copyright (C) 2016. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

defined('_JEXEC') or die;
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$user		= JFactory::getUser();
$app		= JFactory::getApplication();

$assoc		= isset($app->item_associations) ? $app->item_associations : 0;
$canEdit    = $user->authorise('core.edit', 'com_maximenuckhikashop');
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr-fr" lang="fr-fr" dir="ltr">
<head>
<?php echo $this->loadTemplate('head'); ?>
</head>
<body>
<?php echo $this->loadTemplate('mainmenu'); ?>
<div id="mainck" class="container-fluid">

<?php if ($canEdit) { ?>
<form class="row-fluid" action="<?php echo JRoute::_('index.php?option=com_maximenuckhikashop&view=items');?>" method="post" name="adminForm" id="adminForm">
<div class="span12">
	<div class="row-fluid">
		<div>
			<ol class="sortable" id="sortable">
				<?php
				foreach ($this->items as $i => $item) :
					$ckparams = new JRegistry($item->ckparams);
					$item->params->merge($ckparams);
					$item->home = '0';
					$newcol = $item->params->get('maximenu_createcolumn', 0);
					$newrow = $item->params->get('maximenu_createnewrow', 0);
				?>
				<li class="clearfix item <?php echo ( $item->deeper? 'collapsed' : '') ?>" data-alias="<?php echo $item->alias ?>" data-level="<?php echo $item->level ?>" data-id="<?php echo (int) $item->id; ?>" data-parent="<?php echo (int) $item->category_parent_id; ?>" data-newcol="<?php echo $item->params->get('maximenu_createcolumn', 0) ?>" data-colwidth="<?php echo $item->params->get('maximenu_colwidth', '180') ?>" data-home="<?php echo $item->home ?>">
					<div class="row itemwrapper">
						<span class="disclose"><span></span></span>
						<div>
							<span class="btn-group">
							</span>
								<span contentEditable="true" class="hasTooltip cktitle" style="display:inline-block;min-width:200px;">
								<?php echo $this->escape($item->category_name); ?>
								</span>
								<div class="" style="display:inline-block;">
									<input class="input-small hasTooltip" type="text" onblur="ckSaveDescription(this)" title="<?php echo JText::_('CK_ITEM_DESCRIPTION'); ?>" data-id="<?php echo (int) $item->id; ?>" text-origin="<?php echo $this->escape($item->params->get('desc', '')); ?>" value="<?php echo $this->escape($item->params->get('maximenu_desc', '')); ?>" />
								</div>
								<span class="btn-group columnbuttons<?php if ($newcol) echo ' active'; ?>">
									<a class="hasTooltip btn btn-small createcolumn<?php if ($newcol) echo ' active btn-primary'; ?>" title="<?php echo JText::_('CK_CREATE_COLUMN'); ?>" onclick="ckToggleColumn(this)">
										<i class="icon-tree-2"></i>
									</a>
									<a class="hasTooltip btn btn-small colwidth btnvalue" title="<?php echo JText::_('CK_COLUMN_WIDTH'); ?>" onclick="ckChangeColwidth(this)"><?php echo $item->params->get('maximenu_colwidth', '180'); ?></a>
									
									<a class="hasTooltip btn btn-small createnewrow<?php if ($newrow) echo ' active btn-primary'; ?>" title="<?php echo JText::_('CK_CREATE_ROW'); ?>" onclick="ckCreateNewRow(this)"><i class="icon-reply"></i></a>
								</span>
								<span class="btn-group submenuwidthbuttons">
									<a class="hasTooltip btn btn-small submenuwidth btnvalue" title="<?php echo JText::_('CK_SUBMENUWIDTH'); ?>" onclick="ckChangeSubmenuwidth(this)"><i class="icon-menu-2"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_submenucontainerwidth', ''); ?></span></a>
									<a class="hasTooltip btn btn-small submenuheight btnvalue" title="<?php echo JText::_('CK_SUBMENUHEIGHT'); ?>" onclick="ckChangeSubmenuheight(this)"><i class="icon-menu-2"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_submenucontainerheight', ''); ?></span></a>
									<a class="hasTooltip btn btn-small submenuleftmargin btnvalue" title="<?php echo JText::_('CK_SUBMENULEFTMARGIN'); ?>" onclick="ckChangeSubmenuleftmargin(this)"><i class="icon-arrow-right-4"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_leftmargin', ''); ?></span></a>
									<a class="hasTooltip btn btn-small submenutopmargin btnvalue" title="<?php echo JText::_('CK_SUBMENUTOPMARGIN'); ?>" onclick="ckChangeSubmenutopmargin(this)"><i class="icon-arrow-down-4"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_topmargin', ''); ?></span></a>
									<a class="hasTooltip btn btn-small fullwidth<?php if (stristr($item->params->get('maximenu_liclass', ''), 'fullwidth')) echo ' active btn-primary'; ?>" title="<?php echo JText::_('CK_FULLWIDTH'); ?>" onclick="ckChangeFullwidthClass(this)"><i class="icon-expand"></i></a>
									<a class="hasTooltip btn btn-small nodropdown<?php if (stristr($item->params->get('maximenu_liclass', ''), 'nodropdown')) echo ' active btn-primary'; ?>" title="<?php echo JText::_('CK_NODROPDOWN'); ?>" onclick="ckChangeNodropdownClass(this)"><i class="icon-list"></i></a>
								</span>
								<span class="togglemobileoptions btn-group">
									<span class="togglescreen btn hasTooltip <?php echo ($item->params->get('maximenu_disabledesktop', '0') == '1' ? 'disable' : '') ?>" title="<?php echo JText::_('CK_ENABLE_DESKTOP'); ?>" onclick="ckToggleDesktopState(this)"><i class="icon-delete"></i><i class="icon-screen"></i></span>
									<span class="togglemobile btn hasTooltip <?php echo ($item->params->get('maximenu_disablemobile', '0') == '1' ? 'disable' : '') ?>" title="<?php echo JText::_('CK_ENABLE_MOBILE'); ?>" onclick="ckToggleMobileState(this)"><i class="icon-delete"></i><i class="icon-mobile"></i></span>
								</span>
								<span class="iconoptions btn-group">
									<span id="iconselect<?php echo $item->id ?>" class="iconselect btn hasTooltip <?php echo ($item->params->get('maximenu_icon','') ? 'active' : '') ?>" style="padding: 4px 7px;" title="<?php echo JText::_('CK_ITEM_ICON_DESC'); ?>" onclick="ckCallIconsPopup(this.id)"><?php echo JText::_('CK_ITEM_ICON'); ?>&nbsp;<i class="<?php echo $item->params->get('maximenu_icon','') ?>"></i></span>
									<input id="iconclass<?php echo $item->id ?>" type="text" class="inputbox input-small" style="border-radius:0;" value="<?php echo $item->params->get('maximenu_icon','') ?>" onchange="ckSetFaIcon(this.value, 'iconselect<?php echo $item->id ?>')"/>
									<span id="iconremove" class="btn hasTooltip icon-delete" style="padding: 4px 7px;font-size:10px;height:18px;" title="<?php echo JText::_('CK_ITEM_ICON_REMOVE'); ?>" onclick="ckRemoveFaIcon(this);"></span>
								</span>
								<span class="label pull-right hasTooltip" title="<?php echo JText::_('CK_ID') ?>" style="margin:5px 0;"><?php echo $item->id ?></span>
						</div>
					</div>
					<?php
					// The next item is deeper.
					if ($item->deeper)
					{
						echo '<ol>';
					}
					// The next item is shallower.
					elseif ($item->shallower)
					{
						echo '</li>';
						echo str_repeat('</ol></li>', $item->level_diff);
					}
					// The next item is on the same level.
					else {
						echo '</li>';
					}
					endforeach; ?>
				</ol>
				<input type="hidden" name="task" value="" />
				<?php echo JHtml::_('form.token'); ?>
			</div>
		</div>
	</div>
</form>
<?php } else {
	if (!$canEdit) echo JText::_('CK_NORIGHTS_TO_EDIT');
} ?>
</div>
<div id="maximenuckhikashopModalIcons" tabindex="-1" class="maximenuckhikashopModal modal hide fade">
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<h3><?php echo JText::_('CK_EDIT') ?></h3>
	</div>
	<div class="modal-body">
	</div>
	<div class="modal-footer">
		<input id="maximenuckhikashopModalIconsFieldid" type="hidden" onchange="ckSetFaIcon(this.value, jQuery('#maximenuckhikashopModalIcons').attr('data-fieldid'));" />
		<button class="btn" data-dismiss="modal" aria-hidden="true"><?php echo JText::_('JCANCEL') ?></button>
	</div>
</div>
<script>
jQuery('#maximenuckhikashopModalIcons').on('show', function() {
	jQuery('body').addClass('modal-open');
	var modalBody = jQuery(this).find('.modal-body');
	if (! modalBody.find('iframe').length) {
		modalBody.prepend('<iframe class="iframe" src="index.php?option=com_maximenuckhikashop&amp;view=icons&amp;tmpl=component" height="400px" width="100%"></iframe>');
	}
}).on('hidden', function () {
	jQuery('body').removeClass('modal-open');
});
</script>
</body>
</html>